Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188669 - Server instance properties dialog
Server instance properties dialog
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
7.0
PC Linux
: P2 (vote)
: TBD
Assigned To: Denis Anisimov
issues@serverplugins
:
Depends on:
Blocks: 188575
  Show dependency treegraph
 
Reported: 2010-07-14 19:24 UTC by Petr Hejl
Modified: 2010-07-23 13:18 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2010-07-14 19:24:58 UTC
The weblogic plugin is missing properties dialog. The dialog should at least show parameters such as domain, port and used JDK and should allow change of username and password.

As a second next step properties dialog should allow user to configure JVM parameters.

As optional third step other domain parameters should be configurable.
Comment 1 Denis Anisimov 2010-07-21 15:56:01 UTC
Properties added into Customizer:
( Domain tab )
- Domain name : read only.
- Domain folder path : read only.
- Port : read only.
These properties are given domain configuration properties which are 
obtained from WL domain data.

- Username and password for admin server are writable properties which 
are used for connection from IDE to WL server.

(Platform tab)
- Java vendor choice : it depends on WL startup script . If this script contains
both java homes ( path to oracle JDK and sun JDK ) then this option will
be available to configure.
JAVA_VENDOR env variable will be set for WL startup script.
In case when only one JDK is set in the startup script the vendor is selected
respectively. Other vendor is disabled.
- Java Home : read only property which is red from startup script  file.
This script initialize JAVA_HOME variable based on vendor ( see previous item ) 
and predefined available JDK's. It is not possible to request some arbitrary 
JDK via setting env variables. One need to modify start script file to change
JAVA_HOME. This file could be read-only. 
So this is read only property.
- VM Options : writable property. JAVA_OPTIONS env variable will be set for WL
startup script. This variable will be used as command line arg for Java command.

>As optional third step other domain parameters should be configurable.
This is not implemented for now.
Several reasons for this:
- I don't know exactly what parameters are mentioned here.
- Any other domain parameters which I can imagine are domain config parameters.
So it means that their changes should somehow change WL configuration.
It means that either one need to change config.xml which could be non-writable
or use WL management API. The latter approach requires started WL server 
for change this properties. So it also bad.
As result only read-only properties could be shown in customizer.
Anyway list of such properties is required.

changeset:   174511:e6247e5bd982
user:        Denis Anisimov <ads@netbeans.org>
date:        Wed Jul 21 19:28:10 2010 +0400
summary:     Fix for #BZ188669  -  Server instance properties dialog
Comment 2 Denis Anisimov 2010-07-23 13:18:25 UTC
Set fixed by originator request.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo